<!-- OBSOLETE -->
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter: resultGui: shall inherit from AbstractProcessingBeanGui -->
    <em class="pull-right gzl-never-wrap">
        <a4j:commandLink
                actionListener="#{resultGui.makeResultPrivate()}"
                render="#{idToRender}"
                rendered="#{identity.loggedIn
                            and resultGui.selectedObject.owner.username == identity.username
                            and not resultGui.selectedObject.sharing.isPrivate}">
            <s:span title="#{messages['gazelle.evs.ThisLogIsPublicClickToMakeItPrivate']}"
                    styleClass="gzl-icon-unlock"/>
        </a4j:commandLink>
        <s:span title="#{messages['gazelle.evs.ThisLogIsPublic']}"
                styleClass="gzl-icon-unlock"
                rendered="#{identity.loggedIn
                            and resultGui.selectedObject.owner.username != identity.username
                            and not resultGui.selectedObject.sharing.isPrivate}"/>
        <s:span title="#{messages['net.ihe.gazelle.EVSClient-ui.OnlyTheUsersWhoKnowThePermanentLinkWillHaveAcces']}"
                styleClass="gzl-icon-share-alt text-info"
                rendered="#{identity.loggedIn and resultGui.selectedObject.sharing.privacyKey != null}"/>
        <a4j:commandLink
                actionListener="#{resultGui.makeResultPublic()}"
                render="#{idToRender}"
                rendered="#{identity.loggedIn
                            and resultGui.selectedObject.owner.username == identity.username
                            and resultGui.selectedObject.sharing.isPrivate
                            and resultGui.selectedObject.sharing.privacyKey == null}">
            <s:span title="#{messages['net.ihe.gazelle.EVSClient-ui.ThisResultWillOnlyBeAccessibleByYouAndMonitors']}"
                    styleClass="gzl-icon-lock"/>
        </a4j:commandLink>
        <s:span title="#{messages['net.ihe.gazelle.EVSClient-ui.ThisResultWillOnlyBeAccessibleByYouAndMonitors']}"
                styleClass="gzl-icon-lock"
                rendered="#{identity.loggedIn
                            and resultGui.selectedObject.owner.username != identity.username
                            and resultGui.selectedObject.sharing.isPrivate
                            and resultGui.selectedObject.sharing.privacyKey == null}"/>
        <a4j:commandLink title="#{messages['net.ihe.gazelle.evs.ValidateAgain']}"
                         action="#{resultGui.revalidate()}">
            <span class="gzl-icon-refresh"/>
        </a4j:commandLink>
    </em>

    <h:outputText value="#{messages['gazelle.evs.client.information']}"/>
</ui:composition>